Tp::Profile Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Classes | Public Types | Public Member Functions | Static Public Member Functions | List of all members
Tp::Profile Class Reference
Utililty classes

The Profile class provides an easy way to read Telepathy profile files according to http://telepathy.freedesktop.org/wiki/service-profile-v1. More...

`#include <TelepathyQt/Profile>`

Inherits Tp::RefCounted.

## Classes
class | Parameter
| The Profile::Parameter class represents a parameter defined in .profile files. More...
class | Presence
| The Profile::Presence class represents a presence defined in .profile files. More...

## Public Types
typedef QList< Parameter > | ParameterList
typedef QList< Presence > | PresenceList

## Public Member Functions
| ~Profile ()
QString | serviceName () const
bool | isValid () const
bool | isFake () const
QString | type () const
QString | provider () const
QString | name () const
QString | iconName () const
QString | cmName () const
QString | protocolName () const
ParameterList | parameters () const
bool | hasParameter (const QString &name) const
Parameter | parameter (const QString &name) const
bool | allowOtherPresences () const
PresenceList | presences () const
bool | hasPresence (const QString &id) const
Presence | presence (const QString &id) const
RequestableChannelClassSpecList | unsupportedChannelClassSpecs () const
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Static Public Member Functions
static ProfilePtr | createForServiceName (const QString &serviceName)
static ProfilePtr | createForFileName (const QString &fileName)

## Detailed Description

The Profile class provides an easy way to read Telepathy profile files according to http://telepathy.freedesktop.org/wiki/service-profile-v1.

Note that profiles with xml element <type> different than "IM" are considered invalid.

## Member Typedef Documentation

typedef QList<Parameter> Tp::Profile::ParameterList

typedef QList<Presence> Tp::Profile::PresenceList

## Constructor & Destructor Documentation

Tp::Profile::~Profile | ( |  | ) |

Class destructor.

## Member Function Documentation

ProfilePtr Tp::Profile::createForServiceName | ( | const QString & | serviceName | ) |
| static

Create a new Profile object used to read .profiles compliant files.

Parameters

  serviceName | The profile service name.

Returns
  A ProfilePtr object pointing to the newly created Profile object.

ProfilePtr Tp::Profile::createForFileName | ( | const QString & | fileName | ) |
| static

Create a new Profile object used to read .profiles compliant files.

Parameters

  fileName | The profile file name.

Returns
  A ProfilePtr object pointing to the newly created Profile object.

QString Tp::Profile::serviceName | ( |  | ) | const

Return the unique name of the service to which this profile applies.

Returns
  The unique name of the service.

bool Tp::Profile::isValid | ( |  | ) | const

Return whether this profile is valid.

Returns
  `true` if valid, otherwise `false`.

bool Tp::Profile::isFake | ( |  | ) | const

Return whether this profile is fake.

Fake profiles are profiles created for services not providing a .profile file.

Returns
  `true` if fake, otherwise `false`.

QString Tp::Profile::type | ( |  | ) | const

Return the type of the service to which this profile applies.

In general, services of interest of Telepathy should be of type 'IM'. Other service types exist but are unlikely to affect Telepathy in any way.

Returns
  The type of the service.

QString Tp::Profile::provider | ( |  | ) | const

Return the name of the vendor/organisation/provider who actually runs the service to which this profile applies.

Returns
  The provider of the service.

QString Tp::Profile::name | ( |  | ) | const

Return the human-readable name for the service to which this profile applies.

Returns
  The Human-readable name of the service.

QString Tp::Profile::iconName | ( |  | ) | const

Return the base name of the icon for the service to which this profile applies.

Returns
  The base name of the icon for the service.

QString Tp::Profile::cmName | ( |  | ) | const

Return the connection manager name for the service to which this profile applies.

Returns
  The connection manager name for the service.

QString Tp::Profile::protocolName | ( |  | ) | const

Return the protocol name for the service to which this profile applies.

Returns
  The protocol name for the service.

Profile::ParameterList Tp::Profile::parameters | ( |  | ) | const

Return a list of parameters defined for the service to which this profile applies.

Returns
  A list of Profile::Parameter.

bool Tp::Profile::hasParameter | ( | const QString & | name | ) | const

Return whether this profile defines the parameter named name.

Returns
  `true` if parameter is defined, otherwise `false`.

Profile::Parameter Tp::Profile::parameter | ( | const QString & | name | ) | const

Return the parameter for a given name.

Returns
  A Profile::Parameter.

bool Tp::Profile::allowOtherPresences | ( |  | ) | const

Return whether the standard CM presences not defined in presences() are supported.

Returns
  `true` if standard CM presences are supported, otherwise `false`.

Profile::PresenceList Tp::Profile::presences | ( |  | ) | const

Return a list of presences defined for the service to which this profile applies.

Returns
  A list of Profile::Presence.

bool Tp::Profile::hasPresence | ( | const QString & | id | ) | const

Return whether this profile defines the presence with id id.

Returns
  `true` if presence is defined, otherwise `false`.

Profile::Presence Tp::Profile::presence | ( | const QString & | id | ) | const

Return the presence for a given id.

Returns
  A Profile::Presence.

RequestableChannelClassSpecList Tp::Profile::unsupportedChannelClassSpecs | ( |  | ) | const

A list of channel classes not supported by the service to which this profile applies.

Returns
  A list of RequestableChannelClassSpec.